import { PolymorphicAs } from '../Polymorphic';
import { InferredPolymorphicComponentType, InferredPolymorphicRenderFunction } from './InferredPolymorphic.types';
/**
 * Inferred copy of the {@link Polymorphic} factory function.
 * Returns a polymorphic component that can infer the `as` prop as anchor based on a provided `href`
 *
 * For more, see {@link https://github.com/mongodb/leafygreen-ui/blob/main/packages/polymorphic/README.md | README.md}
 */
export declare const InferredPolymorphic: <TComponentProps extends object = {}, TDefaultAs extends PolymorphicAs = PolymorphicAs>(render: InferredPolymorphicRenderFunction<TComponentProps, TDefaultAs>, displayName?: string) => InferredPolymorphicComponentType<TComponentProps, TDefaultAs>;
//# sourceMappingURL=InferredPolymorphic.d.ts.map